# UniTAP.dev.ports.modules.pdc.pdc_types

class CCPullUp(enum.IntEnum):

Class `CCPullUp` contains all possible variants of CC Pull Up.

Current_05_09A = <CCPullUp.Current_05_09A: 0>
Current_1_5A = <CCPullUp.Current_1_5A: 1>
Current_3A = <CCPullUp.Current_3A: 2>
Unknown = <CCPullUp.Unknown: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PowerRole(enum.IntEnum):

Class `PowerRole` contains all possible variants of device power role.

Source = <PowerRole.Source: 0>
Sink = <PowerRole.Sink: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class FrSwapCurrent(enum.IntEnum):

Class `FrSwapCurrent` contains all possible variants of FR Swap current.

Disable = <FrSwapCurrent.Disable: 0>
EnableDefaultUSBPower = <FrSwapCurrent.EnableDefaultUSBPower: 1>
Enable_1_5A_5V = <FrSwapCurrent.Enable_1_5A_5V: 2>
Enable_3A_5V = <FrSwapCurrent.Enable_3A_5V: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PdcDeviceRole(enum.IntEnum):

Class `PdcDeviceRole` contains all possible variants of PDC device role.

UFP = <PdcDeviceRole.UFP: 0>
DFP = <PdcDeviceRole.DFP: 1>
DRP = <PdcDeviceRole.DRP: 2>
Unknown = <PdcDeviceRole.Unknown: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class PDMode(enum.IntEnum):

Class `PDMode` contains all possible variants of PD modes.

NormalPD = <PDMode.NormalPD: 0>
LegacyUSBSource = <PDMode.LegacyUSBSource: 1>
LegacyUSBSink = <PDMode.LegacyUSBSink: 2>
Unknown = <PDMode.Unknown: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class USB3Mode(enum.IntEnum):

Class `USB3Mode` contains all possible variants of USB-3 modes.

Disabled = <USB3Mode.Disabled: 0>
EnabledGen1 = <USB3Mode.EnabledGen1: 1>
EnabledGen2 = <USB3Mode.EnabledGen2: 2>
Unknown = <USB3Mode.Unknown: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DRPTryMode(enum.IntEnum):

Class `DRPTryMode` contains all possible variants of DRP behavior modes.

PureDRP = <DRPTryMode.PureDRP: 0>
DRP_try_SNK = <DRPTryMode.DRP_try_SNK: 1>
DRP_try_SRC = <DRPTryMode.DRP_try_SRC: 2>
Unknown = <DRPTryMode.Unknown: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class CableControlOrientation(enum.IntEnum):

Class `CableControlOrientation` contains all possible variants of orientation.

CC1 = <CableControlOrientation.CC1: 0>
CC2 = <CableControlOrientation.CC2: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class DifferentialPair(enum.IntEnum):

Class `DifferentialPair` contains all possible variants of differential pairs.

OnePair = <DifferentialPair.OnePair: 0>
TwoPair = <DifferentialPair.TwoPair: 1>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class ContractTypePriority(enum.IntEnum):

Class `ContractTypePriority` contains all possible variants of contract type priority.

HigherCurrent = <ContractTypePriority.HigherCurrent: 0>
HigherVoltage = <ContractTypePriority.HigherVoltage: 1>
HigherPower = <ContractTypePriority.HigherPower: 2>
Unknown = <ContractTypePriority.Unknown: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class InternalResistance(enum.IntEnum):

Class `InternalResistance` contains all possible variants of internal resistance.

Disable = <InternalResistance.Disable: 1>
Resistance_10_Ohm = <InternalResistance.Resistance_10_Ohm: 40001>
Resistance_5_5_Ohm = <InternalResistance.Resistance_5_5_Ohm: 22001>
Resistance_3_55_Ohm = <InternalResistance.Resistance_3_55_Ohm: 14161>
Resistance_3_5_Ohm = <InternalResistance.Resistance_3_5_Ohm: 14001>
Resistance_2_6_Ohm = <InternalResistance.Resistance_2_6_Ohm: 10361>
Resistance_2_14_Ohm = <InternalResistance.Resistance_2_14_Ohm: 8521>
Resistance_1_76_Ohm = <InternalResistance.Resistance_1_76_Ohm: 7001>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class ExternalResistance(enum.IntEnum):

Class `ExternalResistance` contains all possible variants of external resistance.

Disable = <ExternalResistance.Disable: 3>
Resistance_13_9_Ohm = <ExternalResistance.Resistance_13_9_Ohm: 55603>
Resistance_10_6_Ohm = <ExternalResistance.Resistance_10_6_Ohm: 42403>
Resistance_9_1_Ohm = <ExternalResistance.Resistance_9_1_Ohm: 36403>
Resistance_7_6_Ohm = <ExternalResistance.Resistance_7_6_Ohm: 30403>
Resistance_6_6_Ohm = <ExternalResistance.Resistance_6_6_Ohm: 26403>
Resistance_5_6_Ohm = <ExternalResistance.Resistance_5_6_Ohm: 22403>
Resistance_4_6_Ohm = <ExternalResistance.Resistance_4_6_Ohm: 18403>
Resistance_3_6_Ohm = <ExternalResistance.Resistance_3_6_Ohm: 14403>
Resistance_1_8_Ohm = <ExternalResistance.Resistance_1_8_Ohm: 7203>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator